Package com.logicaldoc.core.runtime

# Enum Class Feature

java.lang.Object
java.lang.Enum<Feature>
com.logicaldoc.core.runtime.Feature

All Implemented Interfaces:
  `Serializable`, `Comparable<Feature>`, `Constable`

public enum Feature extends Enum<Feature>
Enumeration of relevant feature codes

Since:
  9.2.2
Author:
  Marco Meschieri - LogicalDOC

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADDITIONAL_FORMATS`
`ANNOTATIONS`
`ANTIVIRUS`
`ARCHIVING`
`ARTIFICIAL_INTELLIGENCE`
`AUDIT`
`AUTO_FOLDING`
`AUTO_NAMING`
`AUTOFILL`
`AUTOMATION`
`BACKUP`
`BARCODES`
`BOOKMARKS`
`BRANDING_FULL`
`BRANDING_LOGO`
`BRANDING_STANDARD`
`BRUTEFORCE_ATTACK_PREVENTION`
`BULK_CHECKOUT`
`BULK_UPDATE`
`CALENDAR`
`CHAT`
`CHATGPT`
`CLOUD_STORE`
`CLUSTERING`
`CMIS`
`COMPARISON`
`CUSTOM_ACTIONS`
`CUSTOM_REPORTS`
`CUSTOMID`
`DIGITAL_SIGNATURE`
`DIGITAL_SIGNATURE_CLIENT`
`DOCUSIGN`
`DROP_SPOT`
`DROPBOX`
`DUPLICATES_DISCOVERY`
`EMAIL_IMPORT`
`ENTERPRISE_SEARCH`
`EXPORT`
`EXPORT_CSV`
`FIREWALL`
`FOLDER_TEMPLATE`
`FORM`
`FORMAT_CONVERSION`
`FTP`
`GEOLOCATION`
`GOOGLE_CALENDAR`
`GOOGLE_DRIVE`
`GUI_LANGUAGES`
`HOT_FOLDER`
`IMPEX`
`IMPORT_LOCAL_FOLDERS`
`IMPORT_REMOTE_FOLDERS`
`INCREMENTAL_ARCHIVES`
`INDEX_LANGUAGES`
`KOFAX`
`LDAP`
`LEGALS`
`LICENSE`
`MESSAGES`
`MOBILE_APPS`
`MOBILE_GUI`
`MULTI_STORE`
`MULTI_TENANT`
`MULTI_WORKSPACE`
`NOTES`
`NOTIFICATIONS`
`OCR`
`OFFICE`
`ONLYOFFICE`
`PARAMETRIC_SEARCHES`
`PATCHES`
`PDF`
`PREVIEW`
`PROTOCOLS`
`QUOTAS`
`READING_CONFIRMATION`
`REPO_ENCRYPTION`
`RETENTION_POLICIES`
`REVISION`
`ROBOT`
`SAVED_SEARCHES`
`SCAN`
`SCANNER`
`SEMANTIC_SEARCHES`
`SHAREFILE`
`SHOW_DISABLED`
`SHOW_LICENSEE`
`SINGLE_SIGNON`
`SMB_STORE`
`SPLIT`
`STAMP`
`SYNC`
`SYNDICATION`
`TAGS`
`TAGS_ADMIN`
`TASK_REPORT_NOTIFICATION`
`TECHNICAL_SUPPORT`
`TEMPLATE`
`TRASH`
`TWO_FACTORS_AUTHENTICATION`
`UPDATES`
`VIEW_TICKET`
`WEB_FORM`
`WEBCONTENT`
`WEBDAV`
`WEBDAV_BASIC`
`WEBSERVICE`
`WORKFLOW`
`ZONAL_BARCODE`
`ZONAL_OCR`

## Method Summary

Modifier and Type
Method
Description
`static Feature`
`fromKey(String key)`
Gets the right enumeration entry from the corresponding string
`String`
`key()`
Converts the enumeration entry to the corresponding key in the license
`String`
`toString()`
`static Feature`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Feature[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### IMPORT_REMOTE_FOLDERS

public static final Feature IMPORT_REMOTE_FOLDERS

### ADDITIONAL_FORMATS

public static final Feature ADDITIONAL_FORMATS

### OCR

public static final Feature OCR

### IMPEX

public static final Feature IMPEX

### TAGS

public static final Feature TAGS

### BRANDING_STANDARD

public static final Feature BRANDING_STANDARD

### DIGITAL_SIGNATURE

public static final Feature DIGITAL_SIGNATURE

### PDF

public static final Feature PDF

### LICENSE

public static final Feature LICENSE

### EMAIL_IMPORT

public static final Feature EMAIL_IMPORT

### TRASH

public static final Feature TRASH

### SAVED_SEARCHES

public static final Feature SAVED_SEARCHES

### MESSAGES

public static final Feature MESSAGES

### INCREMENTAL_ARCHIVES

public static final Feature INCREMENTAL_ARCHIVES

### SINGLE_SIGNON

public static final Feature SINGLE_SIGNON

### SCAN

public static final Feature SCAN

### AUDIT

public static final Feature AUDIT

### NOTIFICATIONS

public static final Feature NOTIFICATIONS

### WORKFLOW

public static final Feature WORKFLOW

### OFFICE

public static final Feature OFFICE

### ENTERPRISE_SEARCH

public static final Feature ENTERPRISE_SEARCH

### NOTES

public static final Feature NOTES

### TAGS_ADMIN

public static final Feature TAGS_ADMIN

### GUI_LANGUAGES

public static final Feature GUI_LANGUAGES

### INDEX_LANGUAGES

public static final Feature INDEX_LANGUAGES

### TASK_REPORT_NOTIFICATION

public static final Feature TASK_REPORT_NOTIFICATION

### SPLIT

public static final Feature SPLIT

### BULK_UPDATE

public static final Feature BULK_UPDATE

### CMIS

public static final Feature CMIS

### MOBILE_APPS

public static final Feature MOBILE_APPS

### CUSTOM_ACTIONS

public static final Feature CUSTOM_ACTIONS

### BULK_CHECKOUT

public static final Feature BULK_CHECKOUT

### WEBCONTENT

public static final Feature WEBCONTENT

### COMPARISON

public static final Feature COMPARISON

### UPDATES

public static final Feature UPDATES

### MOBILE_GUI

public static final Feature MOBILE_GUI

### BRANDING_FULL

public static final Feature BRANDING_FULL

### BRANDING_LOGO

public static final Feature BRANDING_LOGO

### BRUTEFORCE_ATTACK_PREVENTION

public static final Feature BRUTEFORCE_ATTACK_PREVENTION

### SHOW_LICENSEE

public static final Feature SHOW_LICENSEE

### PATCHES

public static final Feature PATCHES

### FOLDER_TEMPLATE

public static final Feature FOLDER_TEMPLATE

### GOOGLE_DRIVE

public static final Feature GOOGLE_DRIVE

### SMB_STORE

public static final Feature SMB_STORE

### FORMAT_CONVERSION

public static final Feature FORMAT_CONVERSION

### CLOUD_STORE

public static final Feature CLOUD_STORE

### ROBOT

public static final Feature ROBOT

### AUTOMATION

public static final Feature AUTOMATION

### ZONAL_OCR

public static final Feature ZONAL_OCR

### SHOW_DISABLED

public static final Feature SHOW_DISABLED

### PREVIEW

public static final Feature PREVIEW

### MULTI_STORE

public static final Feature MULTI_STORE

### BOOKMARKS

public static final Feature BOOKMARKS

### CUSTOMID

public static final Feature CUSTOMID

### LDAP

public static final Feature LDAP

### TEMPLATE

public static final Feature TEMPLATE

### PROTOCOLS

public static final Feature PROTOCOLS

### WEBSERVICE

public static final Feature WEBSERVICE

### WEBDAV

public static final Feature WEBDAV

### EXPORT

public static final Feature EXPORT

### IMPORT_LOCAL_FOLDERS

public static final Feature IMPORT_LOCAL_FOLDERS

### PARAMETRIC_SEARCHES

public static final Feature PARAMETRIC_SEARCHES

### DROP_SPOT

public static final Feature DROP_SPOT

### BARCODES

public static final Feature BARCODES

### QUOTAS

public static final Feature QUOTAS

### DUPLICATES_DISCOVERY

public static final Feature DUPLICATES_DISCOVERY

### REPO_ENCRYPTION

public static final Feature REPO_ENCRYPTION

### LEGALS

public static final Feature LEGALS

### EXPORT_CSV

public static final Feature EXPORT_CSV

### RETENTION_POLICIES

public static final Feature RETENTION_POLICIES

### MULTI_WORKSPACE

public static final Feature MULTI_WORKSPACE

### CLUSTERING

public static final Feature CLUSTERING

### FIREWALL

public static final Feature FIREWALL

### CALENDAR

public static final Feature CALENDAR

### FTP

public static final Feature FTP

### BACKUP

public static final Feature BACKUP

### KOFAX

public static final Feature KOFAX

### SYNC

public static final Feature SYNC

### MULTI_TENANT

public static final Feature MULTI_TENANT

### DROPBOX

public static final Feature DROPBOX

### ANTIVIRUS

public static final Feature ANTIVIRUS

### ANNOTATIONS

public static final Feature ANNOTATIONS

### ARCHIVING

public static final Feature ARCHIVING

### SHAREFILE

public static final Feature SHAREFILE

### STAMP

public static final Feature STAMP

### FORM

public static final Feature FORM

### CUSTOM_REPORTS

public static final Feature CUSTOM_REPORTS

### AUTO_NAMING

public static final Feature AUTO_NAMING

### AUTO_FOLDING

public static final Feature AUTO_FOLDING

### DOCUSIGN

public static final Feature DOCUSIGN

### HOT_FOLDER

public static final Feature HOT_FOLDER

### REVISION

public static final Feature REVISION

### WEBDAV_BASIC

public static final Feature WEBDAV_BASIC

### TWO_FACTORS_AUTHENTICATION

public static final Feature TWO_FACTORS_AUTHENTICATION

### CHAT

public static final Feature CHAT

### SYNDICATION

public static final Feature SYNDICATION

### GEOLOCATION

public static final Feature GEOLOCATION

### ZONAL_BARCODE

public static final Feature ZONAL_BARCODE

### WEB_FORM

public static final Feature WEB_FORM

### DIGITAL_SIGNATURE_CLIENT

public static final Feature DIGITAL_SIGNATURE_CLIENT

### VIEW_TICKET

public static final Feature VIEW_TICKET

### READING_CONFIRMATION

public static final Feature READING_CONFIRMATION

### TECHNICAL_SUPPORT

public static final Feature TECHNICAL_SUPPORT

### CHATGPT

public static final Feature CHATGPT

### GOOGLE_CALENDAR

public static final Feature GOOGLE_CALENDAR

### SCANNER

public static final Feature SCANNER

### ONLYOFFICE

public static final Feature ONLYOFFICE

### ARTIFICIAL_INTELLIGENCE

public static final Feature ARTIFICIAL_INTELLIGENCE

### SEMANTIC_SEARCHES

public static final Feature SEMANTIC_SEARCHES

### AUTOFILL

public static final Feature AUTOFILL

## Method Details

### values

public static Feature[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Feature valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromKey

public static Feature fromKey(String key)
Gets the right enumeration entry from the corresponding string

Parameters:
  `key` - the key in license
Returns:
  The corresponding entry

### key

public String key()
Converts the enumeration entry to the corresponding key in the license

Returns:
  The key

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Feature>`